SDL_CreateWindowAndRenderer(3)

NAME
SDL_CreateWindowAndRenderer - Create a window and default renderer.

SYNOPSIS
#include <SDL3/SDL_render.h>

bool SDL_CreateWindowAndRenderer(const char *title, int width, int height, SDL_WindowFlags window_flags, SDL_Window **window, SDL_Renderer **renderer);

FUNCTION PARAMETERS

title
    the title of the window, in UTF-8 encoding.

width
    the width of the window.

height
    the height of the window.

window_flags
    the flags used to create the window (see SDL_CreateWindow()).

window
    a pointer filled with the window, or NULL on error.

renderer
    a pointer filled with the renderer, or NULL on error.

RETURN VALUE
for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_CreateRenderer(3), SDL_CreateWindow(3)